package com.wechat.model.requestDto;

import org.hibernate.validator.constraints.NotBlank;

/**
 * @ClassName: JsonResp
 * @Description: Json返回对象
 */
public class LoginByPasswordReq {

	private String userName; 

	private String password; 
	
	private String code;
	
	private String openId;

	@NotBlank(message="登陆名不能为空|User name can not be empty.")
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName.trim();
	}

	@NotBlank(message="密码不能为空|Password can not be empty.")
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password.trim();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

}
